Support » Fixing WordPress » buddypress & wordpress2.9

  • I just installed a new wordpress2.9 blog and then tried to install buddypress on it through the auto install plug in section and I get this:

    “Fatal error: Call to undefined function get_blog_option() in /home/wwwhoney/public_html/blog/wp-content/plugins/buddypress/bp-core.php on line 566” and nothing works.

    If I delete the buddy press plug in it works ok again.

    Any ideas???

Viewing 5 replies - 1 through 5 (of 5 total)
  • I am pretty sure that right now buddypress only works with wordpressMU – a different version of WP.

    Rumor has it that WP 3.0 will merge the WPMU with regular WP – so if you really want to run buddypress, get ready to learn a lot of stuff and delve into http://mu.wordpress.org

    I would suggest waiting if you are not familair with MU – as it has a steep learnign curve, and relatively hardcore server requirements – waiting for the 3.0 is probably your best bet.

    Buddypress is still in it’s infancy and doesn’t work very well for many things right now anyhow – in my humble opinion.

    Please reply if you are trying BP with regular WP and mark as resolved if this solves your question.

    DJ Steve Media

    I am new to wordpress and all I really want is for when I get a comment that an email comes to me letting me know. Is there a plug in that does that?
    Bill

    When someone comments a post you made, you’ll get an email.

    Thank you – Bill

    Actually it WILL work with single user WordPress now. Exciting news! You have to use the trunk version of BuddyPress, but I’ve tried it with WP 2.9 and it seems to be working just fine. I have info on how to install it here: http://wpmu.org/buddypress-now-supports-wordpress-single-user-no-wpmu-required/

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘buddypress & wordpress2.9’ is closed to new replies.